View Issue Details

IDProjectCategoryView StatusLast Update
0003714ScribusGeneralpublic2011-01-06 21:47
Reporterchristoph_s Assigned Tofschmid  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSLinuxOS VersionSuSE 9.3
Product Version1.2.5cvs 
Target VersionFixed in Version1.5.0svn 
Summary0003714: SVG import causes GUI freeze
DescriptionWhen I import the attached SVG my GUI or even the whole system freezes, sometimes hitting the reset button is the only relief. The 1.3 version either crash or nothing happens.

That's even more strange since I have used the SVG in earlier versions (1.2.2.1 or 1.2.3, I suppose) without any issues.
TagsNo tags attached.
Patch

Relationships

related to 0003774 closedjghali wrong svg export/import 
related to 0004134 closedfschmid Ability to use gradients for stroking 
related to 0005008 closedjghali Crashes with SVG files 
related to 0005014 closedcbradney SVG import freezes Scribus 
related to 0004732 new SVG test cases 
related to 0005006 closedavox Crash while resizing SVG 
child of 0002931 acknowledged Metabug: SVG 

Activities

2006-04-27 22:08

 

mittelhessen1.svg (44,899 bytes)

mhanski

2006-04-28 13:12

developer   ~0010578

Last edited: 2006-04-28 23:22

I've tested with 1.2.4.99cvs from April 20 on kubuntu dapper:

-- cannot confirm the crash on import, neither with an open doc, nor without an open doc

-- can confirm, that the SVG in question cannot be imported -- it remains invisible after the import, it will appear for a moment only if you try to drag the object group

plinnell

2006-04-28 23:09

viewer   ~0010618

I can confirm this does not work right in 1.2.5cvs. Batik opens it fine.

The colors are not importing, so it assigned 'none'.

plinnell

2006-08-15 12:05

viewer   ~0012189

testing with 1.3.3.4cvs shows the opacity of single objects is set to 0%

jghali

2006-08-15 22:32

administrator   ~0012200

This svg file uses a gradient for stroking, which is currently not supported by scribus

Issue History

Date Modified Username Field Change
2006-04-27 22:08 christoph_s New Issue
2006-04-27 22:08 christoph_s File Added: mittelhessen1.svg
2006-04-28 13:12 mhanski Note Added: 0010578
2006-04-28 13:12 mhanski Status new => feedback
2006-04-28 23:09 plinnell Note Added: 0010618
2006-04-28 23:09 plinnell Status feedback => confirmed
2006-04-28 23:22 mhanski Note Edited: 0010578
2006-05-09 17:33 christoph_s Relationship added related to 0003774
2006-05-17 18:39 christoph_s Relationship added child of 0002931
2006-08-15 12:05 plinnell Note Added: 0012189
2006-08-15 13:42 plinnell Severity crash => minor
2006-08-15 22:32 jghali Note Added: 0012200
2006-08-16 21:45 jghali Relationship added related to 0004134
2006-12-26 17:27 christoph_s Relationship added related to 0005008
2006-12-26 17:29 christoph_s Relationship added related to 0005014
2006-12-26 17:31 christoph_s Relationship added related to 0004732
2006-12-26 17:34 christoph_s Relationship added related to 0005006
2011-01-02 18:55 fschmid Status confirmed => resolved
2011-01-02 18:55 fschmid Fixed in Version => 1.5.0svn
2011-01-02 18:55 fschmid Resolution open => fixed
2011-01-02 18:55 fschmid Assigned To => fschmid
2011-01-06 21:47 christoph_s Status resolved => closed